Last Comment Bug 657131 - Create a new Execute menu for Scratchpad
: Create a new Execute menu for Scratchpad
Status: VERIFIED FIXED
[scratchpad][fixed-in-devtools][merge...
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Rob Campbell [:rc] (:robcee)
:
Mentors:
: 656544 (view as bug list)
Depends on: 657136
Blocks: 653108
  Show dependency treegraph
 
Reported: 2011-05-14 07:45 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-06-01 07:08 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
execute menu (7.73 KB, patch)
2011-05-18 13:49 PDT, Rob Campbell [:rc] (:robcee)
no flags Details | Diff | Review
execute menu (8.39 KB, patch)
2011-05-19 02:15 PDT, Rob Campbell [:rc] (:robcee)
no flags Details | Diff | Review
execute menu (18.00 KB, patch)
2011-05-19 03:28 PDT, Rob Campbell [:rc] (:robcee)
mihai.sucan: review+
Details | Diff | Review
[in-devtools] execute menu 2 (18.10 KB, patch)
2011-05-19 11:19 PDT, Rob Campbell [:rc] (:robcee)
sdwilsh: review+
Details | Diff | Review

Description Rob Campbell [:rc] (:robcee) 2011-05-14 07:45:08 PDT
Move "Execute, Inspect, Print" from the Edit menu to a new Execute
menu: "Execute", "Inspect value", "Append value as comment".
Comment 1 Rob Campbell [:rc] (:robcee) 2011-05-18 10:44:35 PDT
this is going to be the third top-level menu beginning with the letter E. Just sayin'.
Comment 2 Rob Campbell [:rc] (:robcee) 2011-05-18 13:49:38 PDT
Created attachment 533402 [details] [diff] [review]
execute menu

execute menu with renames for Execute, Inspect, Print (Run, Inspect, Display).
Comment 3 Rob Campbell [:rc] (:robcee) 2011-05-19 02:15:49 PDT
Created attachment 533567 [details] [diff] [review]
execute menu

removed extraneous separator from edit menu
Comment 4 Rob Campbell [:rc] (:robcee) 2011-05-19 03:28:53 PDT
Created attachment 533583 [details] [diff] [review]
execute menu

renamed execute to run and print to display. Updated method names in scratchpad.js and in unittests.
Comment 5 Mihai Sucan [:msucan] 2011-05-19 07:48:19 PDT
Comment on attachment 533583 [details] [diff] [review]
execute menu

Review of attachment 533583 [details] [diff] [review]:
-----------------------------------------------------------------

Patch is fine, just some minor nits. r+!

::: browser/base/content/scratchpad.xul
@@ +246,1 @@
>        <menuitem id="sp-text-execute"

This ID needs to be sp-text-run.

::: browser/base/content/test/browser_scratchpad_ui.js
@@ +37,1 @@
>      "sp-text-inspect": "inspect",

Somehow I forgot sp-text-display when I wrote the test. Please add it.
Comment 6 Rob Campbell [:rc] (:robcee) 2011-05-19 11:19:50 PDT
Created attachment 533716 [details] [diff] [review]
[in-devtools] execute menu 2

corrected based on feedback.
Comment 7 Shawn Wilsher :sdwilsh 2011-05-20 12:59:31 PDT
Comment on attachment 533716 [details] [diff] [review]
[in-devtools] execute menu 2

Review of attachment 533716 [details] [diff] [review]:
-----------------------------------------------------------------

r=sdwilsh
Comment 8 Rob Campbell [:rc] (:robcee) 2011-05-21 05:39:30 PDT
Comment on attachment 533716 [details] [diff] [review]
[in-devtools] execute menu 2

http://hg.mozilla.org/projects/devtools/rev/2a10e886f3d7
Comment 9 Dave Camp (:dcamp) 2011-05-21 21:28:40 PDT
Comment on attachment 533716 [details] [diff] [review]
[in-devtools] execute menu 2

http://hg.mozilla.org/mozilla-central/rev/2a10e886f3d7
Comment 10 AndreiD[QA] 2011-05-26 06:20:59 PDT
Verified fixed on:
Windows 7:
Mozilla/5.0 (Windows NT 6.1; rv:6.0a2) Gecko/20110525 Firefox/6.0a2
Window XP:
Mozilla/5.0 (Windows NT 5.1; rv:6.0a2) Gecko/20110525 Firefox/6.0a2
Mac OS 10.6
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0a2) Gecko/20110525 Firefox/6.0a2 
Linux i686:
Mozilla/5.0 (X11; Linux i686; rv:6.0a2) Gecko/20110525 Firefox/6.0a2

*Note: In Scratchpad, under Execute the following options are available: Run, Inspect, Display. Marking this as Verified.
Comment 11 Rob Campbell [:rc] (:robcee) 2011-06-01 07:08:50 PDT
*** Bug 656544 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.